##
##  icon.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2013 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_real 951
%define       V_here 9.5.1

#   package information
Name:         icon
Summary:      Icon Programming Language
URL:          http://www.cs.arizona.edu/icon/
Vendor:       Univerity Of Arizona
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        PLUS
Group:        Language
License:      GPL
Version:      %{V_here}
Release:      20130914

#   list of sources
Source0:      ftp://ftp.cs.arizona.edu/icon/packages/unix/icon-v%{V_real}src.tgz
Patch0:       icon.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, make, gcc
PreReq:       OpenPKG, openpkg >= 20100101

%description
    Icon is a high-level, general-purpose programming language with a
    large repertoire of features for processing data structures and
    character strings. Icon is an imperative, procedural language with
    a syntax reminiscent of C and Pascal, but with semantics at a much
    higher level.

%track
    prog icon = {
        version   = %{V_real}
        url       = ftp://ftp.cs.arizona.edu/icon/packages/unix/
        regex     = icon-v(__VER__)src.tgz
    }

%prep
    %setup -q -n icon-v%{V_real}src
    %patch -p0

%build
    case "%{l_platform -t}" in
        *-freebsd*      ) name="bsd"           ;;
        *-netbsd*       ) name="bsd"           ;;
        *-linux*        ) name="linux"         ;;
        i?86-sunos*     ) name="intel_solaris" ;;
        amd64-sunos*    ) name="intel_solaris" ;;
        sun*-sunos*     ) name="solaris"       ;;
        * ) echo "platform %{l_platform -t} not supported" 1>&2; exit 1 ;;
    esac
    %{l_make} %{l_mflags} Configure name=$name
    %{l_make} %{l_mflags}

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT
    %{l_make} %{l_mflags} Install dest=$RPM_BUILD_ROOT%{l_prefix}
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/doc
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/share/icon
    mv $RPM_BUILD_ROOT%{l_prefix}/bin/libcfunc.so \
       $RPM_BUILD_ROOT%{l_prefix}/share/icon/
    for file in $RPM_BUILD_ROOT%{l_prefix}/lib/*; do
       mv $file $RPM_BUILD_ROOT%{l_prefix}/share/icon/
    done
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

